<?php

/*
* Original Author of Admin Panel Simplifier for Joomla 1.5 was Andy sharman of www.udjamaflip.com
* @copyright This is GNU/GPL v2/3 and as such is free to modify/distribute, please retain the author URL and Name in the spirit of opensource!
* 
* Converted/Upgraded to Joomla 2.5 by Emmanuel Lemor - exlemor@gmail.com
*/

$validation = explode(',',$params->get('idList'));
$valid = true;
foreach ($validation as $element) {
	if ($element == '*') {
		echo '<h1 style="position:fixed; top:50%; left:50%; padding:10px; margin-left:-155px; margin-top:-80px; width:300px; height:150px; border:1px double #990000; color:#990000; background-color:#FFCCCC;">Using "*" as an identifier will remove the entire DOM and will render the Administrator Panel unusable, please remove it and add specific ID/Class tags.</h1>';
		$valid = false;
	}
}

//get current userid
$user =& JFactory::getUser();
$uid = $user->id;

//get user array
if (stristr($params->get('userIdList'),','))
{
	$userArray = explode(',',$params->get('userIdList'));
}
else
{
	$userArray[0] = $params->get('userIdList');
}

//validate and run scripts
if ($valid && in_array($uid, $userArray))
{
	$doc =& JFactory::getDocument();
	$doc->addCustomTag('<style type="text/css">body { display:none; }</style>');
	$doc->addCustomTag('<script type="text/javascript" src="modules/mod_simplify_your_admin_panel/js/jquery-1.4.2.min.js"></script>');

	$action = ($params->get('hide_remove') == 'hide') ? 'hide' : 'remove';
	?>

	<script type="text/javascript">
		jQuery.noConflict();
		jQuery(document).ready(function() {
			jQuery("<?=$params->get('idList')?>").<?=$action?>();
			jQuery('body').fadeIn('fast', function() { });
		});
	</script>
	<?php
}